ListIntegrations - AWS Security Agent

ListIntegrations

Lists the integrations in your account, optionally filtered by provider or provider type.

Request Syntax

POST /ListIntegrations HTTP/1.1 Content-type: application/json { "filter": { ... }, "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

filter

A filter to apply to the list of integrations.

Type: IntegrationFilter object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: No

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "integrationSummaries": [ { "displayName": "string", "installationId": "string", "integrationId": "string", "provider": "string", "providerType": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

integrationSummaries

The list of integration summaries.

Type: Array of IntegrationSummary objects

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: